OfonoModem Class Reference

This class is used to access an oFono modem object and its properties. More...

`#include <ofonomodem.h>`

Inheritance diagram for OfonoModem:

## Public Types

enum | SelectionSetting { AutomaticSelect , ManualSelect }
| How the modem object should select a modem. More...

## Public Slots

void | setPowered (bool powered)
void | setOnline (bool online)
void | setLockdown (bool lockdown)

## Signals

void | validityChanged (bool validity)
| Issued when a modem becomes unavailable or available again.
void | pathChanged (QString modemPath)
| Issued when the object has switched to another modem.
void | poweredChanged (bool powered)
void | setPoweredFailed ()
void | onlineChanged (bool online)
void | setOnlineFailed ()
void | lockdownChanged (bool lockdown)
void | setLockdownFailed ()
void | emergencyChanged (bool emergency)
void | nameChanged (const QString &name)
void | manufacturerChanged (const QString &manufacturer)
void | modelChanged (const QString &model)
void | revisionChanged (const QString &revision)
void | serialChanged (const QString &serial)
void | typeChanged (const QString &type)
void | featuresChanged (const QStringList &features)
void | interfacesChanged (const QStringList &interfaces)

## Public Member Functions

| OfonoModem (SelectionSetting setting, const QString &modemPath, QObject *parent=0)
bool | isValid () const
| Returns true if D-Bus modem object exists.
QString | path () const
| Returns the D-Bus object path of the modem.
QString | errorName () const
| Get the D-Bus error name of the last operation.
QString | errorMessage () const
| Get the D-Bus error message of the last operation.
bool | powered () const
bool | online () const
bool | lockdown () const
bool | emergency () const
QString | name () const
QString | manufacturer () const
QString | model () const
QString | revision () const
QString | serial () const
QString | type () const
QStringList | features () const
QStringList | interfaces () const

## Properties

bool | isValid
QString | path
QString | errorName
QString | errorMessage
bool | powered
bool | online
bool | lockdown
bool | emergency
QString | name
QString | manufacturer
QString | model
QString | revision
QString | serial
QString | type
QStringList | features
QStringList | interfaces

## Detailed Description

This class is used to access an oFono modem object and its properties.

oFono modem properties are documented in http://git.kernel.org/?p=network/ofono/ofono.git;a=blob_plain;f=doc/modem-api.txt

## Member Enumeration Documentation

## SelectionSetting

enum OfonoModem::SelectionSetting

How the modem object should select a modem.

Enumerator
AutomaticSelect | Select the first available modem automatically; if that modem becomes unavailable, select the first available modem again.
ManualSelect | Do not select a modem automatically, use the modem path provided in the constructor, and do not attempt to select another modem if the first one becomes unavailable.

## Constructor & Destructor Documentation

## OfonoModem()

OfonoModem::OfonoModem | ( | SelectionSetting | setting,
|  | const QString & | modemPath,
|  | QObject * | parent = `0`
| ) |  |

Parameters

  setting | sets the modem selection policy for the object
  modemPath | if modem selection policy is ManualSelect, then this contains the D-Bus path to the modem object. Otherwise, it is ignored.

## Member Function Documentation

## errorMessage()

QString OfonoModem::errorMessage | ( |  | ) | const

Get the D-Bus error message of the last operation.

Returns the D-Bus error message of the last operation (setting a property or calling a method) if it has failed

## errorName()

QString OfonoModem::errorName | ( |  | ) | const

Get the D-Bus error name of the last operation.

Returns the D-Bus error name of the last operation (setting a property or calling a method) if it has failed

The documentation for this class was generated from the following file:

- lib/ofonomodem.h